%define languageenglazy Bulgarian
%define languagecode    bg
%define lc_ctype        bg_BG

Name:           hunspell-%{languagecode}
Version:        4.3
Release:        %mkrel 8
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://bgoffice.sourceforge.net/
Source0:        http://downloads.sourceforge.net/bgoffice/OOo-spell-%{languagecode}-%{version}.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-bg
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n OOo-spell-%{languagecode}-%{version}

%build
for i in README.bulgarian GPL-2.0.txt MPL-1.1.txt ChangeLog Copyright LGPL-2.1.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

iconv -f WINDOWS-1251 -t UTF-8 bg_BG.dic > bg_BG.dic.new
mv -f bg_BG.dic.new bg_BG.dic
echo "SET UTF-8" > bg_BG.aff.new
tail -n +2 bg_BG.aff | iconv -f WINDOWS-1251 -t UTF-8 | tr -d '\r' >> bg_BG.aff.new
mv bg_BG.aff.new bg_BG.aff

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc ChangeLog Copyright GPL-2.0.txt LGPL-2.1.txt MPL-1.1.txt README.bulgarian
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.3-8.mga4
+ Revision: 505591
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3-7.mga3
+ Revision: 353394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 4.3-6.mga3
+ Revision: 325169
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 4.3-5.mga2
+ Revision: 224573
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 4.3-4.mga2
+ Revision: 207641
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 4.3-3.mga2
+ Revision: 196808
- adapt file to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 4.3-2.mga1
+ Revision: 68673
- imported package hunspell-bg


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 18 2010 Caolán McNamara <caolanm@redhat.com> - 4.3-1
- latest version

* Sat Apr 17 2010 Caolán McNamara <caolanm@redhat.com> - 4.2-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Caolán McNamara <caolanm@redhat.com> - 4.1-4
- clean up spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Apr 21 2008 Caolán McNamara <caolanm@redhat.com> - 4.1-2
- rhbz#443297 recode .aff and .dic into UTF-8

* Tue Dec 18 2007 Caolán McNamara <caolanm@redhat.com> - 4.1-1
- latest version

* Fri Aug 03 2007 Caolán McNamara <caolanm@redhat.com> - 4.0-2
- clarify license, can't see a specific GPL version

* Mon Jul 09 2007 Caolán McNamara <caolanm@redhat.com> - 4.0-1
- latest version

* Mon Feb 12 2006 Caolán McNamara <caolanm@redhat.com> - 0.20040405-1
- initial version
